/* body{
    background-image: url("/public/bag-svg.svg");
    margin-bottom: 50px;
} */
#cartbtn.animate{
  -webkit-animation: wobble-hor-bottom 0.8s both;
  animation: wobble-hor-bottom 0.8s both;
}
body {
    background: linear-gradient(-45deg, #031926,#114c5f , #0799b6, #004c4c);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;
    height: fit-content;
    margin-bottom: 30px;
  }
  @keyframes gradient {
    0% {
      background-position: 0% 50%;
    }
    50% {
      background-position: 100% 50%;
    }
    100% {
      background-position: 0% 50%;
    }
  }
  nav:hover{
    -webkit-animation: shadow-inset-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: shadow-inset-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
  }
nav{
    width: '1000px';
    height: 80px;
    background: fixed;
    margin-top: 25px;
    margin-bottom: 25px;
    border-radius: 10px;
    position: -webkit-sticky;
    position: sticky;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    -webkit-animation: shadow-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: shadow-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}
@keyframes puff-in-center {
    0% {
      -webkit-transform: scale(2);
              transform: scale(2);
      -webkit-filter: blur(4px);
              filter: blur(4px);
      opacity: 0;
    }
    100% {
      -webkit-transform: scale(1);
              transform: scale(1);
      -webkit-filter: blur(0px);
              filter: blur(0px);
      opacity: 1;
    }
  }
h1{font-family: "Lucida Sans Unicode", "Lucida Grande", sans-serif;
    letter-spacing: 1px;
    word-spacing: 2px;
    -webkit-animation: puff-in-center 0.7s cubic-bezier(0.470, 0.000, 0.745, 0.715) both;
	        animation: puff-in-center 0.7s cubic-bezier(0.470, 0.000, 0.745, 0.715) both;
    text-decoration: none;
    font-style: normal;
    font-variant: normal;
    text-align: center;
    text-transform: capitalize;}

.nav-pills{
  margin-right: 20px;
  border-radius: 10px;
  -webkit-animation: shadow-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: shadow-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

a img{
  margin-left: 20px;
}
.nav-pills:hover{
    -webkit-animation: shadow-inset-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	        animation: shadow-inset-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}
.navbar-brand :hover{
    -webkit-animation: shadow-inset-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	        animation: shadow-inset-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}
@keyframes shadow-inset-center {
    0% {
      -webkit-box-shadow: inset 0 0 0 0 rgba(0, 0, 0, 0);
              box-shadow: inset 0 0 0 0 rgba(0, 0, 0, 0);
    }
    100% {
      -webkit-box-shadow: inset 0 0 14px 0px rgba(0, 0, 0, 0.5);
              box-shadow: inset 0 0 14px 0px rgba(0, 0, 0, 0.5);
    }
  }
@keyframes shadow-center {
    0% {
      -webkit-box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
              box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
    }
    100% {
      -webkit-box-shadow: 0 0 14px 0px rgba(0, 0, 0, 0.5);
              box-shadow: 0 0 14px 0px rgba(0, 0, 0, 0.5);
    }
  }

#product {
    flex-wrap: wrap;
    display: flex;
    gap: 30px;
    justify-content: center;
}
.fixed-top {
  top: -40px;
  transform: translateY(40px);
  transition: transform .3s;
}
.cards {
    width: 300px;
    border: 1px solid #000;
    border-radius: 10px;
    display: flex;
    text-align: center;
    backdrop-filter: blur(10px);
    -webkit-box-shadow:  3px 3px 16.5px -2px #000000;
    -moz-box-shadow:  3px 3px 16.5px -2px #000000;
    box-shadow:  3px 3px 16.5px -2px #000000;
    -webkit-animation: shadow-inset-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: shadow-inset-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    
}
#searchinput{
  width: 100px;
  height: 20px;
  -webkit-box-shadow:  3px 3px 16.5px -2px #000000;
    -moz-box-shadow:  3px 3px 16.5px -2px #000000;
    box-shadow:  3px 3px 16.5px -2px #000000;
}
#searchinput:hover{
  -webkit-animation: shadow-inset-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	        animation: shadow-inset-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
  
}
#searchinput.in{
  -webkit-animation: puff-in-center 0.7s cubic-bezier(0.470, 0.000, 0.745, 0.715) both;
	        animation: puff-in-center 0.7s cubic-bezier(0.470, 0.000, 0.745, 0.715) both;
  
}
#title.out{
  -webkit-animation: fade-out-bck 0.7s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	        animation: fade-out-bck 0.7s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}
#loginform{
 align-content: center;
 -webkit-animation: color-change-2x 2s linear infinite alternate-reverse both;
 animation: color-change-2x 2s linear infinite alternate-reverse both;
}

@-webkit-keyframes fade-out-bck {
  0% {
    -webkit-transform: translateZ(0);
            transform: translateZ(0);
    opacity: 1;
  }
  100% {
    -webkit-transform: translateZ(-80px);
            transform: translateZ(-80px);
    opacity: 0;
  }
}
.modal{
  
    backdrop-filter: blur(20px);
}
@keyframes wobble-hor-bottom {
  0%,
  100% {
    -webkit-transform: translateX(0%);
            transform: translateX(0%);
    -webkit-transform-origin: 50% 50%;
            transform-origin: 50% 50%;
  }
  15% {
    -webkit-transform: translateX(-30px) rotate(-6deg);
            transform: translateX(-30px) rotate(-6deg);
  }
  30% {
    -webkit-transform: translateX(15px) rotate(6deg);
            transform: translateX(15px) rotate(6deg);
  }
  45% {
    -webkit-transform: translateX(-15px) rotate(-3.6deg);
            transform: translateX(-15px) rotate(-3.6deg);
  }
  60% {
    -webkit-transform: translateX(9px) rotate(2.4deg);
            transform: translateX(9px) rotate(2.4deg);
  }
  75% {
    -webkit-transform: translateX(-6px) rotate(-1.2deg);
            transform: translateX(-6px) rotate(-1.2deg);
  }
}
li button{
  width: fit-content;
  position: absolute;
  top: 0;
  
  right: 0;
  display: inline-block;
}
#carrito{
    text-transform: capitalize;
    display: flex;
   text-align: center;
}
button{
  margin-bottom: 10px;
}

h5{
    text-transform: capitalize;
}
.img-fluid{
    display: flex;
    width: 500px;
    height: 200px;
    object-fit: cover;
    border-radius: 10px;
}
.carousel-caption{
    height: fit-content;
    border-radius: 10px;
    backdrop-filter: blur(3px);
    box-shadow: 5px 5px 30px 1px #000 inset;
    display: inline-block;
}
#carrusel{
    flex-wrap: wrap;
    display: fit-content;
    width: 1000;
    height: fit-content;
    justify-content: center;
    object-fit: cover;
    margin-bottom: 30px;
}
#carrusel:hover{
  border-radius: 10px;
  -webkit-animation: shadow-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: shadow-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
 
}
#carrusel img{
    display: flex;
    width: 500px;
    height: 200px;
    object-fit: cover;
    border-radius: 10px;
}
.card-text{
    text-transform: capitalize;
}
.img-fluid:hover{
    animation: blur 1s ease-in-out 0s 1 normal forwards;-webkit-animation: shadow-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: shadow-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    
}
@keyframes blur{
    0% {
		scale:100%;
	}
	100% {
		scale: 103%;
	} 
}
.cards:hover{
  -webkit-animation: shadow-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
  animation: shadow-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}